1
0
mirror of git://git.gnupg.org/gnupg.git synced 2025-01-18 14:17:03 +01:00

write results to log files

This commit is contained in:
Werner Koch 2001-09-28 08:54:51 +00:00
parent 531f3953d8
commit c1a0e80f71
32 changed files with 117 additions and 147 deletions

View File

@ -1,3 +1,17 @@
2001-09-28 Werner Koch <wk@gnupg.org>
* defs.inc: Write a log file for each test.
* run-gpg, run-gpgm, run-gpg.patterns: Removed. Replaced in all
tests by a simple macro from defs.inc.
* Makefile.am (CLEANFILES): Remove log files.
(./gpg_dearmor): create it and use it instead of the macro.
This is needed in multisig.test due to IFS tricks.
* armsignencrypt.test, signencrypt-dsa.test, signencrypt.test,
armencryptp.test, armencrypt.test, encryptp.test, seat.test,
encrypt-dsa.test, encrypt.test: Use --always-trust because the
test are not designed to check the validity.
2001-09-06 Werner Koch <wk@gnupg.org>
* genkey1024.test: Simplified by using a parameter file.

View File

@ -16,9 +16,8 @@
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
## Process this file with automake to create Makefile.in
# Process this file with automake to create Makefile.in
GPG_DEARMOR = ../g10/gpg --no-options --no-greeting --batch --quiet --yes --dearmor
GPG_IMPORT = ../g10/gpg --homedir . --quiet --yes --import
TESTS = version.test mds.test \
@ -40,11 +39,12 @@ TEST_FILES = pubring.asc secring.asc plain-1o.asc plain-2o.asc plain-3o.asc \
DATA_FILES = data-500 data-9000 data-32000 data-80000 plain-large
EXTRA_DIST = defs.inc run-gpg run-gpg.patterns $(TESTS) $(TEST_FILES) \
EXTRA_DIST = defs.inc $(TESTS) $(TEST_FILES) \
mkdemodirs signdemokey
CLEANFILES = prepared.stamp x y yy z out err $(DATA_FILES) \
plain-1 plain-2 plain-3 options trustdb.gpg *.lock .\#lk* \
pubring.gpg secring.gpg pubring.pkr secring.skr options
plain-1 plain-2 plain-3 trustdb.gpg *.lock .\#lk* \
*.test.log options gpg_dearmor \
pubring.gpg secring.gpg pubring.pkr secring.skr
DISTCLEANFILES = pubring.gpg~
@ -54,34 +54,40 @@ distclean-local:
./mkdemodirs --clean
prepared.stamp: ./pubring.gpg ./secring.gpg ./plain-1 ./plain-2 ./plain-3 \
./pubring.pkr ./secring.skr ./options $(DATA_FILES)
./pubring.pkr ./secring.skr ./options ./gpg_dearmor \
$(DATA_FILES)
$(GPG_IMPORT) $(srcdir)/pubdemo.asc
echo timestamp >./prepared.stamp
./options: $(srcdir)/options.in
cat $(srcdir)/options.in >./options
./pubring.gpg: $(srcdir)/pubring.asc $(srcdir)/pubdemo.asc
$(GPG_DEARMOR) -o ./pubring.gpg $(srcdir)/pubring.asc
./gpg_dearmor:
echo '#!/bin/sh' >./gpg_dearmor
echo "$(srcdir)/../g10/gpg --no-options --no-greeting \
--no-secmem-warning --batch --dearmor" >>./gpg_dearmor
chmod 755 ./gpg_dearmor
./pubring.gpg: $(srcdir)/pubring.asc $(srcdir)/pubdemo.asc ./gpg_dearmor
./gpg_dearmor > ./pubring.gpg < $(srcdir)/pubring.asc
./secring.gpg: $(srcdir)/secring.asc
$(GPG_DEARMOR) -o ./secring.gpg $(srcdir)/secring.asc
./gpg_dearmor > ./secring.gpg < $(srcdir)/secring.asc
./pubring.pkr: $(srcdir)/pubring.pkr.asc
$(GPG_DEARMOR) -o ./pubring.pkr $(srcdir)/pubring.pkr.asc
./gpg_dearmor > ./pubring.pkr < $(srcdir)/pubring.pkr.asc
./secring.skr: $(srcdir)/secring.skr.asc
$(GPG_DEARMOR) -o ./secring.skr $(srcdir)/secring.skr.asc
./gpg_dearmor > ./secring.skr < $(srcdir)/secring.skr.asc
./plain-1: $(srcdir)/plain-1o.asc
$(GPG_DEARMOR) -o ./plain-1 $(srcdir)/plain-1o.asc
./gpg_dearmor > ./plain-1 < $(srcdir)/plain-1o.asc
./plain-2: $(srcdir)/plain-2o.asc
$(GPG_DEARMOR) -o ./plain-2 $(srcdir)/plain-2o.asc
./gpg_dearmor > ./plain-2 < $(srcdir)/plain-2o.asc
./plain-3: $(srcdir)/plain-3o.asc
$(GPG_DEARMOR) -o ./plain-3 $(srcdir)/plain-3o.asc
./gpg_dearmor > ./plain-3 < $(srcdir)/plain-3o.asc
data-500:

View File

@ -5,7 +5,7 @@
#info Checking armored detached signatures
for i in $plain_files $data_files ; do
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 -sab -o x --yes $i
$srcdir/run-gpg -o /dev/null --yes x <$i || error "$i: bad signature"
echo "$usrpass1" | $GPG --passphrase-fd 0 -sab -o x --yes $i
$GPG -o /dev/null --yes x <$i || error "$i: bad signature"
done

View File

@ -4,6 +4,6 @@
#info Checking armored detached signatures of multiple files
i="$plain_files $data_files"
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 -sab -o x --yes $i
cat $i | $srcdir/run-gpg -o /dev/null --yes x || error "$i: bad signature"
echo "$usrpass1" | $GPG --passphrase-fd 0 -sab -o x --yes $i
cat $i | $GPG -o /dev/null --yes x || error "$i: bad signature"

View File

@ -4,8 +4,8 @@
#info Checking armored encryption
for i in $plain_files $data_files ; do
$srcdir/run-gpg -ea -o x --yes -r "$usrname2" $i
$srcdir/run-gpg -o y --yes x
$GPG --always-trust -ea -o x --yes -r "$usrname2" $i
$GPG -o y --yes x
cmp $i y || error "$i: mismatch"
done

View File

@ -4,9 +4,9 @@
#info Checking armored encryption with a pipe
for i in $plain_files $data_files ; do
$srcdir/run-gpg -ea --yes -r "$usrname2" < $i | tee x | $srcdir/run-gpg -o y --yes
$GPG --always-trust -ea --yes -r "$usrname2" < $i | tee x | $GPG -o y --yes
cmp $i y || error "$i: mismatch"
$srcdir/run-gpg --yes < x > y
$GPG --yes < x > y
cmp $i y || error "$i: mismatch"
done

View File

@ -5,9 +5,9 @@
#info Checking armored signing and encryption
for i in $plain_files $data_files ; do
echo "$usrpass1" \
| $srcdir/run-gpg --passphrase-fd 0 -sae -o x --yes -r "$usrname2" $i
$srcdir/run-gpg -o y --yes x
echo "$usrpass1" | $GPG --passphrase-fd 0 --always-trust \
-sae -o x --yes -r "$usrname2" $i
$GPG -o y --yes x
cmp $i y || error "$i: mismatch"
done

View File

@ -4,8 +4,8 @@
#info Checking armored signatures
for i in $plain_files $data_files ; do
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 -sa -o x --yes $i
$srcdir/run-gpg -o y --yes x
echo "$usrpass1" | $GPG --passphrase-fd 0 -sa -o x --yes $i
$GPG -o y --yes x
cmp $i y || error "$i: mismatch"
done

View File

@ -14,17 +14,17 @@
# it is clear text and not binary text.
# ======================================
for i in $plain_files plain-large ; do
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 -sat -o x --yes $i
$srcdir/run-gpg --verify x
echo "$usrpass1" | $GPG --passphrase-fd 0 -sat -o x --yes $i
$GPG --verify x
done
# ======================================
# and once more to check rfc1991
# ======================================
for i in $plain_files plain-large ; do
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 \
echo "$usrpass1" | $GPG --passphrase-fd 0 \
--rfc1991 --digest-algo md5 -sat -o x --yes $i
$srcdir/run-gpg --verify x
$GPG --verify x
done
# ======================================
@ -35,8 +35,8 @@ xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
EOF
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 --clearsign -o x --yes y
$srcdir/run-gpg --verify x
echo "$usrpass1" | $GPG --passphrase-fd 0 --clearsign -o x --yes y
$GPG --verify x
# ======================================
# and one with only one long lines
@ -44,15 +44,15 @@ $srcdir/run-gpg --verify x
cat >y <<EOF
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxyx
EOF
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 --clearsign -o x --yes y
$srcdir/run-gpg --verify x
echo "$usrpass1" | $GPG --passphrase-fd 0 --clearsign -o x --yes y
$GPG --verify x
# ======================================
# and one with an empty body
# ======================================
cat >y <<EOF
EOF
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 --clearsign -o x --yes y
$srcdir/run-gpg --verify x
echo "$usrpass1" | $GPG --passphrase-fd 0 --clearsign -o x --yes y
$GPG --verify x
# ======================================
# and one with one empty line at the end
@ -64,8 +64,8 @@ line 3
there is a blank line after this
EOF
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 --clearsign -o x --yes y
$srcdir/run-gpg --verify x
echo "$usrpass1" | $GPG --passphrase-fd 0 --clearsign -o x --yes y
$GPG --verify x
# ======================================
@ -74,8 +74,8 @@ $srcdir/run-gpg --verify x
# ======================================
echo "this is a sig test" >y
echo_n " " >>y
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 --clearsign -o x --yes y
$srcdir/run-gpg --verify x
echo "$usrpass1" | $GPG --passphrase-fd 0 --clearsign -o x --yes y
$GPG --verify x
# ======================================
@ -94,9 +94,9 @@ cat >y <<EOF
c->signed_data, c->sigfilename,
n1? (n1->pkt->pkt.onepass_sig->sig_class == 0x01):0 );
EOF
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 \
echo "$usrpass1" | $GPG --passphrase-fd 0 \
--not-dash-escaped --clearsign -o x --yes y
$srcdir/run-gpg --verify x
$GPG --verify x

View File

@ -11,9 +11,9 @@ for i in 0 1 2 3 9 10 11 19 20 21 22 23 39 40 41 8192 32000 ; do
else
dd if=data-80000 of=z bs=1 count=$i 2>/dev/null
fi
echo "Hier spricht HAL" | $srcdir/run-gpg --passphrase-fd 0 \
echo "Hier spricht HAL" | $GPG --passphrase-fd 0 \
--force-mdc --cipher $ciph -c -o x --yes z
echo "Hier spricht HAL" | $srcdir/run-gpg --passphrase-fd 0 \
echo "Hier spricht HAL" | $GPG --passphrase-fd 0 \
-o y --yes x
cmp z y || error "$ciph/$i: mismatch"
done

View File

@ -8,16 +8,16 @@ export GNUPG_ENABLE_TWOFISH
#info Checking conventional encryption
for i in plain-2 data-32000 ; do
echo "Hier spricht HAL" | $srcdir/run-gpg --passphrase-fd 0 -c -o x --yes $i
echo "Hier spricht HAL" | $srcdir/run-gpg --passphrase-fd 0 -o y --yes x
echo "Hier spricht HAL" | $GPG --passphrase-fd 0 -c -o x --yes $i
echo "Hier spricht HAL" | $GPG --passphrase-fd 0 -o y --yes x
cmp $i y || error "$i: mismatch"
done
for a in cast5 3des twofish; do
for i in plain-1 data-80000 ; do
echo "Hier spricht HAL" | $srcdir/run-gpg --passphrase-fd 0 \
echo "Hier spricht HAL" | $GPG --passphrase-fd 0 \
--cipher-algo $a -c -o x --yes $i
echo "Hier spricht HAL" | $srcdir/run-gpg --passphrase-fd 0 -o y --yes x
echo "Hier spricht HAL" | $GPG --passphrase-fd 0 -o y --yes x
cmp $i y || error "$i: ($a) mismatch"
done
done

View File

@ -4,7 +4,7 @@
#info Checking decryption of supplied DSA encrypted file
for i in "plain-1" ; do
$srcdir/run-gpg $dsa_keyrings -o y --yes $srcdir/$i-pgp.asc
$GPG $dsa_keyrings -o y --yes $srcdir/$i-pgp.asc
cmp $i y || error "$i: mismatch"
done

View File

@ -4,8 +4,7 @@
#info Checking decryption of supplied files
for i in $plain_files ; do
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 \
-o y --yes $srcdir/$i.asc
echo "$usrpass1" | $GPG --passphrase-fd 0 -o y --yes $srcdir/$i.asc
cmp $i y || error "$i: mismatch"
done

View File

@ -98,5 +98,9 @@ pgmname=`basename $0`
[ -z "$srcdir" ] && fatal "not called from make"
GPG="${srcdir}/../g10/gpg --homedir . "
exec 2> ${0}.log
:
# end

View File

@ -4,7 +4,7 @@
#info Checking detached signatures
for i in $plain_files $data_files ; do
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 -sb -o x --yes $i
$srcdir/run-gpg -o /dev/null --yes x <$i || error "$i: bad signature"
echo "$usrpass1" | $GPG --passphrase-fd 0 -sb -o x --yes $i
$GPG -o /dev/null --yes x <$i || error "$i: bad signature"
done

View File

@ -4,6 +4,6 @@
#info Checking detached signatures of multiple files
i="$plain_files $data_files"
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 -sb -o x --yes $i
cat $i | $srcdir/run-gpg -o /dev/null --yes x || error "$i: bad signature"
echo "$usrpass1" | $GPG --passphrase-fd 0 -sb -o x --yes $i
cat $i | $GPG -o /dev/null --yes x || error "$i: bad signature"

View File

@ -4,16 +4,16 @@
#info Checking encryption
for i in $plain_files $data_files ; do
$srcdir/run-gpg $dsa_keyrings -e -o x --yes -r "$dsa_usrname2" $i
$srcdir/run-gpg $dsa_keyrings -o y --yes x
$GPG $dsa_keyrings --always-trust -e -o x --yes -r "$dsa_usrname2" $i
$GPG $dsa_keyrings -o y --yes x
cmp $i y || error "$i: mismatch"
done
# and with cast
for i in $plain_files $data_files ; do
$srcdir/run-gpg $dsa_keyrings --cipher-algo cast5 -e \
$GPG $dsa_keyrings --always-trust --cipher-algo cast5 -e \
-o x --yes -r "$dsa_usrname2" $i
$srcdir/run-gpg $dsa_keyrings -o y --yes x
$GPG $dsa_keyrings -o y --yes x
cmp $i y || error "$i: mismatch"
done

View File

@ -4,13 +4,13 @@
#info Checking encryption
for i in $plain_files $data_files ; do
$srcdir/run-gpg -e -o x --yes -r "$usrname2" $i
$srcdir/run-gpg -o y --yes x
$GPG --always-trust -e -o x --yes -r "$usrname2" $i
$GPG -o y --yes x
cmp $i y || error "$i: mismatch"
done
for i in $plain_files $data_files ; do
$srcdir/run-gpg -e -o x --yes -r "$usrname2" --cipher-algo cast5 $i
$srcdir/run-gpg -o y --yes x
$GPG --always-trust -e -o x --yes -r "$usrname2" --cipher-algo cast5 $i
$GPG -o y --yes x
cmp $i y || error "$i: mismatch"
done

View File

@ -4,7 +4,7 @@
#info Checking encryption with a pipe
for i in $plain_files $data_files ; do
$srcdir/run-gpg -e --yes -r "$usrname2" <$i | $srcdir/run-gpg --yes > y
$GPG --always-trust -e --yes -r "$usrname2" <$i | $GPG --yes > y
cmp $i y || error "$i: mismatch"
done

View File

@ -13,7 +13,7 @@ test_one () {
failed=""
#info Checking message digests
cat /dev/null | $srcdir/run-gpg -v --print-mds >y
cat /dev/null | $GPG -v --print-mds >y
test_one "MD5" "D41D8CD98F00B204E9800998ECF8427E"
test_one "SHA1" "DA39A3EE5E6B4B0D3255BFEF95601890AFD80709"
test_one "RMD160" "9C1185A5C5E9FC54612808977EE8F548B2258D31"
@ -25,7 +25,7 @@ fi
[ "$failed" != "" ] && error "$failed failed for empty string"
echo_n "abcdefghijklmnopqrstuvwxyz" | $srcdir/run-gpg --print-mds >y
echo_n "abcdefghijklmnopqrstuvwxyz" | $GPG --print-mds >y
test_one "MD5" "C3FCD3D76192E4007DFB496CCA67E13B"
test_one "SHA1" "32D10C7B8CF96570CA04CE37F2A19D84240D3A89"
test_one "RMD160" "F71C27109C692C1B56BBDCEB5B9D2865B3708DBC"

View File

@ -122,27 +122,24 @@ cnksIEkgY2FuJ3QgZG8gdGhhdAo=
save_IFS="${IFS}"
IFS=""
for i in "$sig_1ls1ls_valid" "$sig_ls_valid" "$sig_sl_valid"; do
echo "$i" | $srcdir/run-gpg --dearmor >x
echo "$i" | ./gpg_dearmor >x
IFS="${save_IFS}"
../g10/gpg --homedir . --verify x 2>/dev/null || error "valid is invalid"
$GPG --verify x 2>/dev/null || error "valid is invalid"
IFS=""
done
#for i in "$sig_11lss_valid_but_is_not" "$sig_11lss11lss_valid_but_is_not" \
# "$sig_ssl_valid_but_is_not"; do
# echo "$i" | $srcdir/run-gpg --dearmor >x
# ../g10/gpg --homedir . --verify <x 2>/dev/null || error "valid is invalid"
# echo "$i" | $GPG --dearmor >x
# $GPG --verify <x 2>/dev/null || error "valid is invalid"
#done
# without the +e ksh seems to terminate the for loop
set +e
for i in "$sig_1lsls_invalid" "$sig_lsls_invalid" \
"$sig_lss_invalid" "$sig_slsl_invalid" ; do
echo "$i" | $srcdir/run-gpg --dearmor >x
echo "$i" | ./gpg_dearmor >x
IFS="${save_IFS}"
../g10/gpg --homedir . --verify <x 2>/dev/null && error "invalid is valid"
$GPG --verify <x 2>/dev/null && error "invalid is valid"
IFS=""
done
IFS="${save_IFS}"

View File

@ -3,3 +3,4 @@ no-secmem-warning
load-extension ../cipher/tiger
batch
emulate-md-encode-bug
no-auto-check-trustdb

Binary file not shown.

View File

@ -1,15 +0,0 @@
#!/bin/sh
[ -n "$show_cmds" ] && echo "../g10/gpg --homedir . $*"
if ../g10/gpg --homedir . $* 2>err.tmp.$$ ; then
:
else
echo "(../g10/gpg --homedir . $*) failed" >&2
cat err.tmp.$$ >&2
rm err.tmp.$$
exit 1
fi
fgrep -v -f $srcdir/run-gpg.patterns err.tmp.$$
rm err.tmp.$$

View File

@ -1,25 +0,0 @@
gpg: Good signature from
gpg: aka "
gpg: Signature made
gpg: ./trustdb.gpg: trustdb created
gpg: NOTE: cipher algorithm 3 not found in preferences
gpg: NOTE: cipher algorithm 4 not found in preferences
gpg: NOTE: secret key 2E5FA4F4 is NOT protected.
gpg: NOTE: secret key 439F02CA is NOT protected.
gpg: WARNING: using insecure random number generator
gpg: NOTE: signature key expired
NOTE: this is a development version!
gpg: encrypted with
"test two (no pp) <two@test.nowhere.nil>"
"Test one (pp=def) <one@test.nowhere.nil>"
"pgp5 test <pgp5@dev.null>"
gpg: using secondary key
secret key 9D266E0F expired at
: expired at
gpg: Note: This key has expired!
gpg: Fingerprint: 0826 1CB7 C976 5344 E207 4184 3C6B BBE6 9D26 6E0F
gpg: 3DES encrypted data
gpg: CAST5 encrypted data
gpg: BLOWFISH encrypted data
gpg: TWOFISH encrypted data
gpg: RIJNDAEL encrypted data

View File

@ -1,12 +0,0 @@
#!/bin/sh
if ../g10/gpgm --homedir . $* 2>err.tmp.$$ ; then
:
else
echo "(../g10/gpgm --homedir . $*) failed" >&2
cat err.tmp.$$ >&2
rm err.tmp.$$
exit 1
fi
rm err.tmp.$$

View File

@ -3,8 +3,9 @@
. $srcdir/defs.inc || exit 3
for i in $plain_files ; do
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 -seat -r two -o x --yes $i
$srcdir/run-gpg -o y --yes x
echo "$usrpass1" | $GPG --passphrase-fd 0 --always-trust -seat \
-r two -o x --yes $i
$GPG -o y --yes x
cmp $i y || error "$i: mismatch"
done

View File

@ -4,17 +4,17 @@
#info Checking signing and encryption for DSA
for i in $plain_files $data_files ; do
$srcdir/run-gpg $dsa_keyrings -se -o x --yes \
$GPG $dsa_keyrings --always-trust -se -o x --yes \
-u "$dsa_usrname1" -r "$dsa_usrname2" $i
$srcdir/run-gpg $dsa_keyrings -o y --yes x
$GPG $dsa_keyrings -o y --yes x
cmp $i y || error "$i: mismatch"
done
for da in ripemd160 sha1 md5; do
for i in $plain_files; do
$srcdir/run-gpg $dsa_keyrings -se -o x --yes --digest-algo $da \
$GPG $dsa_keyrings --always-trust -se -o x --yes --digest-algo $da \
-u "$dsa_usrname1" -r "$dsa_usrname2" $i
$srcdir/run-gpg $dsa_keyrings -o y --yes x
$GPG $dsa_keyrings -o y --yes x
cmp $i y || error "$i: mismatch"
# process only the first one
break

View File

@ -5,9 +5,9 @@
#info Checking signing and encryption
for i in $plain_files $data_files ; do
echo "$usrpass1" \
| $srcdir/run-gpg --passphrase-fd 0 -se -o x --yes -r "$usrname2" $i
$srcdir/run-gpg -o y --yes x
echo "$usrpass1" | $GPG --passphrase-fd 0 --always-trust \
-se -o x --yes -r "$usrname2" $i
$GPG -o y --yes x
cmp $i y || error "$i: mismatch"
done

View File

@ -4,16 +4,16 @@
#info Checking DSA signatures (default digest algo)
for i in $plain_files $data_files; do
$srcdir/run-gpg $dsa_keyrings -s -o x --yes -u $dsa_usrname1 $i
$srcdir/run-gpg $dsa_keyrings -o y --yes x
$GPG $dsa_keyrings -s -o x --yes -u $dsa_usrname1 $i
$GPG $dsa_keyrings -o y --yes x
cmp $i y || error "$i: mismatch"
done
for da in ripemd160 sha1 md5; do
for i in $plain_files; do
$srcdir/run-gpg $dsa_keyrings --digest-algo $da \
$GPG $dsa_keyrings --digest-algo $da \
-s -o x --yes -u $dsa_usrname1 $i
$srcdir/run-gpg $dsa_keyrings -o y --yes x
$GPG $dsa_keyrings -o y --yes x
cmp $i y || error "$i: mismatch"
# process only the first one
break

View File

@ -4,8 +4,8 @@
#info Checking signatures
for i in $plain_files $data_files; do
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 -s -o x --yes $i
$srcdir/run-gpg -o y --yes x
echo "$usrpass1" | $GPG --passphrase-fd 0 -s -o x --yes $i
$GPG -o y --yes x
cmp $i y || error "$i: mismatch"
done
@ -16,9 +16,9 @@ fi
for da in $hash_algo_list ; do
for i in $plain_files; do
echo "$usrpass1" | $srcdir/run-gpg --passphrase-fd 0 --digest-algo $da \
echo "$usrpass1" | $GPG --passphrase-fd 0 --digest-algo $da \
-s -o x --yes $i
$srcdir/run-gpg -o y --yes x
$GPG -o y --yes x
cmp $i y || error "$i: mismatch"
# process only the first one
break

View File

@ -3,7 +3,7 @@
. $srcdir/defs.inc || exit 3
# print the GPG version
$srcdir/run-gpg --version
$GPG --version
#fixme: check that the output is correct